Name:           hwinfo
Version:        21.46
Release:        0%{?dist}.1
Summary:        A hardware information tool

License:        GPLv2+
URL:            https://github.com/openSUSE/hwinfo
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Writer)
BuildRequires:  udev
BuildRequires:  git-core
%ifarch %{ix86} x86_64
BuildRequires:  libx86emu-devel
%endif
#Requires:       

%description
A simple program that lists results from the hardware detection
library.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       perl(XML::Parser)
Requires:       perl(XML::Writer)
Requires:       udev
Requires:       wireless-tools
Requires:       expat-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup
echo  %{version} > VERSION


%build
make static RPM_OPT_FLAGS="%{optflags}"
cp src/libhd.a .
make clean
make LIBDIR=%{_libdir} RPM_OPT_FLAGS="%{optflags}"
make doc

%install
%make_install LIBDIR=%{_libdir}

# Install static lib
install -m 644 libhd.a %{buildroot}%{_libdir}

# Install documentation
install -d -m 755 %{buildroot}%{_mandir}/man8/
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 doc/check_hd.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/convert_hd.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/getsysinfo.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/mk_isdnhwdb.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8/

# Create extra dir
mkdir -p %{buildroot}/var/lib/hardware/udi

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc MAINTAINER README*.md specifications.md
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_libdir}/*.so.*
%dir /var/lib/hardware
%dir /var/lib/hardware/udi
%{_datadir}/hwinfo/
%{_mandir}/man1/getsysinfo.1*
%{_mandir}/man1/mk_isdnhwdb.1*
%{_mandir}/man8/hwinfo.8*

%files devel
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_mandir}/man1/convert_hd.1*
%{_mandir}/man1/check_hd.1*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue May 23 2017 Neal Gompa <ngompa13@gmail.com> - 21.46-0.1
- Initial packaging
